Bug 274981 - xterm display CJK with one pixel off
xterm display CJK with one pixel off
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xterm (Show other bugs)
7
All All
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-03 04:17 EDT by Leo
Modified: 2008-06-16 22:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 22:18:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
男国同天 (33.19 KB, image/png)
2007-09-03 04:21 EDT, Leo
no flags Details

  None (edit)
Description Leo 2007-09-03 04:17:38 EDT
Description of problem:
Xterm 227 can't display CJK characters properly. I suggest upgrade to 229.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Leo 2007-09-03 04:21:38 EDT
Created attachment 185121 [details]
男国同天

Some Chinese characters displayed in xterm
Comment 2 Miroslav Lichvar 2007-09-03 07:00:18 EDT
What exactly is the problem in the screenshot? Which font is used?

Upgrading to 229 is ok with me, just want to make sure the bug is fixed in the
latest version.
Comment 3 Leo 2007-09-03 12:22:20 EDT
If you compare 国 with the one in the screenshot, you can see the top line is
missing in the screenshot. It looks like one pixel is missing on the top from
all characters. It looks really odd to me.

If you build a xterm 229, I can test it to see if the bug is fixed.
Comment 4 Miroslav Lichvar 2007-09-03 13:09:02 EDT
Ok, I tried few fonts, but couldn't reproduce it.

You can install xterm-229-2.fc8 from devel with:
yum --enablerepo development update xterm

or download manually from http://koji.fedoraproject.org/koji/buildinfo?buildID=15452
Comment 5 Leo 2007-09-03 13:46:41 EDT
It looks like it is not fixed in 229.

The font I am using is:
XTerm*faceName: xft:monospace:pixelsize=15                                     
                                                                       
XTerm*faceNameDoublesize: nsimsun
Comment 6 Thomas E. Dickey 2007-09-03 15:21:15 EDT
I'm not sure that the "xft:monospace:pixelsize=15" is allowed by
the interface to freetype that xterm is using (one possible
problem).  I don't have the nsimsun font - perhaps I can locate
a copy and compare results.
Comment 7 Miroslav Lichvar 2007-09-04 09:18:22 EDT
It looks like the fonts are rendered in different sizes. Please try increasing
the pixelsize value or specify the faceSize resource to make the double-width
font smaller.
Comment 8 Leo 2007-09-07 22:06:44 EDT
With this:
XTerm*faceName: xft:monospace:pixelsize=15
XTerm*faceNameDoublesize: nsimsun:pixelsize=15

the problem is gone.

However, I think the cjk font should automatically set to the same size as ascii
font.
Comment 9 Miroslav Lichvar 2007-09-12 11:41:06 EDT
Thomas, do you consider the output when pixelsize is used in the font name as a
bug? Or should users use only the faceSize resource?
Comment 10 Thomas E. Dickey 2007-09-12 12:21:18 EDT
It depends - from the context it sounds as if xterm should
be able to detect the mismatched sizes and get the maxmimum
bounding box for the result.  (It does this for the bitmap
fonts - but note the "should" - I've not always found Xft's
interface to be complete).  It's on my to-do list though.
Comment 11 Miroslav Lichvar 2007-09-12 12:29:09 EDT
Ok, thanks. I'll keep this bug open.
Comment 12 Bug Zapper 2008-05-14 10:13:17 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 Bug Zapper 2008-06-16 22:18:54 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.